# -*- coding: utf-8 -*-
"""
/***************************************************************************
                                 A QGIS plugin
 This plugin gives access to Israeli open spatial data sources
                             -------------------
        begin                : 2020-04-01
        copyright            : (C) 2020-2023 by Kaplan Open Source Consulting Inc.
        email                : lior@kaplanopensource.co.il
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""

import os

from PyQt5 import uic
from PyQt5 import QtWidgets
from PyQt5.QtCore import pyqtSignal

# This loads your .ui file so that PyQt can populate your plugin with the elements from Qt Designer
FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'opendata_loader_dialog_base.ui'))


class opendata_loaderDialog(QtWidgets.QDialog, FORM_CLASS):
    resized = pyqtSignal()
    def __init__(self, parent=None):
        """Constructor."""
        super(opendata_loaderDialog, self).__init__(parent)
        # Set up the user interface from Designer through FORM_CLASS.
        # After self.setupUi() you can access any designer object by doing
        # self.<objectname>, and you can use autoconnect slots - see
        # http://qt-project.org/doc/qt-4.8/designer-using-a-ui-file.html
        # #widgets-and-dialogs-with-auto-connect
        self.setupUi(self)

    def resizeEvent(self, event):
        self.resized.emit()
        return super(opendata_loaderDialog, self).resizeEvent(event)


# Disabled feature
#FORM2_CLASS, _ = uic.loadUiType(os.path.join(
#os.path.dirname(__file__), 'form.ui'))
#
#class UserServiceDialog(QtWidgets.QDialog, FORM2_CLASS):
#
#   def __init__(self, parent=None):
#      """Constructor."""
#      super(UserServiceDialog, self).__init__(parent)
#      self.setupUi(self)
